screenshot defects

Attaches a screenshot to a defect/finding. The screenshot is a media object linked to the defect.
If a screenshot is already attached it is replaced.
The system will call this API automatically when a findings is updated to attach a screenshot from the DDI diagram.

Required permissions:

  • (IsAuthenticated AND HasRolePermissions) OR APIKeyRequired
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
string
required
length ≥ 1

Name of the file. (Required)

string
required
length ≥ 1

Data URL encoded file contents. (Required)

file_meta
object

Meta data extracted from the file.

string
length ≤ 255

Media (MIME) Type as defined by the IANA. For example: image/jpeg

string
length ≤ 50

Document category, For example: image, video, audio etc.

string | null

Description of the file (Optional)

geo_point
array of numbers

Latitude/Longitude for physical location. Z is altitude Meters above sea level (ASL) (Optional).

Geo Point
number | null

Direction the measurement device is pointing from North (Degrees).

number | null

Angle relative to horizon. + is above, - is below. (Degrees).

local_coordinates
array of numbers

X/Y/Z right hand coordinates system. Origin is assumed to be defined by location_code (Optional).

Geo Point
string | null

Component or subsytem on the asset. For example: Blade A on wind turbine.

string | null

Asset relative location zone. For example, solar assets are represented as Block-Row-Section-Pier-Modules: 21-9-4-E-2

string | null

Asset relative location code. For example, solar assets are represented as Block-Row-Section-Pier-Modules: 21-9-4-E-2

string | null

Any special requirement (Man Lift, Ladder, or Scaffold) for how a location must be accessed

string | null

URL safe unique identifier for the media provided by the client during creation (optional).

string | null

Local/alternate ID generated by client or used when importing from other applications (Optional).

string | null

Timestamp in source video - must be used with source_media

date-time | null

Date the media as taken; extracted from file's metadata where available.

integer
-32768 to 32767

Used for hiding items if value is smaller than 0

integer | null

Location Layer definition.

integer | null

Checklist source of the media.

integer | null

Checklist source_media points to the original image or video

integer | null

The media was uploaded with this project.

integer | null

Monitoring locations for given media.

integer | null
integer | null

TransferJob that created this media.

Response
204

No Content - screenshot attached.

Language
Credentials
Header
LoadingLoading…